# Uses of Class
javafx.print.Printer

Packages that use Printer
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of Printer in javafx.print

Methods in javafx.print that return Printer
Modifier and Type
Method
Description
`static Printer`
Printer.`getDefaultPrinter()`
Retrieve the default printer.
`Printer`
PrinterJob.`getPrinter()`
Gets the printer currently associated with this job.
Methods in javafx.print that return types with arguments of type Printer
Modifier and Type
Method
Description
`static ReadOnlyObjectProperty<Printer>`
Printer.`defaultPrinterProperty()`
A read only object property representing the current default printer.
`static ObservableSet<Printer>`
Printer.`getAllPrinters()`
Retrieve the installed printers.
`final ObjectProperty<Printer>`
PrinterJob.`printerProperty()`
Property representing the `Printer` for this job.
Methods in javafx.print with parameters of type Printer
Modifier and Type
Method
Description
`static final PrinterJob`
PrinterJob.`createPrinterJob(Printer printer)`
Factory method to create a job for a specified printer.
`void`
PrinterJob.`setPrinter(Printer printer)`
Change the printer for this job.